Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		cheese
Version:	2.28.1
Release:	1
License:	GNU/GPL
URL:		http://www.gnome.org
Group:		Multimedia/Video
Summary:	A webcam application for snapshots and movies
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.bz2

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: bzip2-devel
BuildRequires: cairo-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: evolution-data-server-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: GConf-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gnome-desktop-devel
BuildRequires: gnutls-devel
BuildRequires: gst-plugins-base-devel
BuildRequires: gstreamer10-devel
BuildRequires: gtk2+-devel
BuildRequires: hal-devel
BuildRequires: libbonobo-devel
BuildRequires: libcroco-devel
BuildRequires: libgcrypt-devel
BuildRequires: libgpg-error-devel
BuildRequires: libgsf-devel
BuildRequires: libICE-devel
BuildRequires: libpng-devel
BuildRequires: librsvg-devel
BuildRequires: libSM-devel
BuildRequires: libsoup-devel
BuildRequires: libtasn1-devel
BuildRequires: libX11-devel
BuildRequires: libxml2-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: ORBit2-devel
BuildRequires: pango-devel
BuildRequires: pixman-devel
BuildRequires: startup-notification-devel
BuildRequires: zlib-devel gnome-doc-utils libsmbios-devel scrollkeeper

%description
Cheese is a Photobooth-inspired GNOME application for taking pictures and 
videos from a webcam. It also includes fancy graphical effects based on the 
gstreamer-backend.

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %_sysconfdir/gconf/schemas/cheese.schemas > /dev/null || :
fi


%preun
if [ "$1" -gt 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %_sysconfdir/gconf/schemas/cheese.schemas > /dev/null || :
fi


%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %_sysconfdir/gconf/schemas/cheese.schemas > /dev/null || :


%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%prep
%setup -n %{name}-%{version}

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING README
%_bindir/cheese
%_applications/cheese.desktop
%_datadir/cheese
%_datadir/icons
%_sysconfdir/gconf/schemas/cheese.schemas
%_libexecdir/cheese
%_datadir/dbus-1/services/org.gnome.Cheese.service

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Nov 23 2009 Christian Metzen <metzench@ccux-linux.de> 2.28.1-1
- Version update
* Sun Apr 05 2009 Christian Wasem <wasem@ccux-linux.de> 2.26.0-1
- initial CCux package release
